Merge from trunk

ubuntu/trusty
Michael Terry 12 years ago
commit 04bbedae60

@ -97,7 +97,8 @@ fi
FS="$1"
shift
lockfile ~/buildLiveCD.lock || exit 1
# 12 hours should be enough for even the longest build queue to clear.
lockfile -8 -r$((12 * 60 * 60 / 8)) ~/buildLiveCD.lock || exit 1
trap "finish" 0
trap "rm -f ~/buildLiveCD.lock; exit 1" 1 2 3 15
exec > $BUILD_LOG 2>&1
@ -127,7 +128,6 @@ for STE in $SUITES; do
typeset -i n=1; while [ -d ${PUBDIR}${NOW}.$n ]; do n=n+1; done
NOW=${NOW}.$n
fi
NOW=${NOW}
LOG=${PUBDIR}${NOW}/livecd-${NOW}-${ARCH}.out
rm -f ${PUBDIR}latest
@ -138,7 +138,7 @@ for STE in $SUITES; do
if $LIVE_BUILD; then
$LINUX32 sudo chroot ${DIR%/./*} sh -c "cd /${DIR#*/./} && rm -rf auto && mkdir -p auto && for f in config build clean; do ln -s /usr/share/livecd-rootfs/live-build/auto/\$f auto/; done" >> ${LOG} 2>&1 || true
$LINUX32 sudo chroot ${DIR%/./*} sh -c "cd /${DIR#*/./} && lb clean --purge" >> ${LOG} 2>&1 || true
if ! $LINUX32 sudo chroot ${DIR%/./*} sh -c "cd /${DIR#*/./} && SUITE=${STE} PROJECT=${FS} SUBPROJECT=${SUBPROJECT} ARCH=${ARCH} SUBARCH=${SUBARCH} IMAGEFORMAT=${IMAGEFORMAT} PROPOSED=${PROPOSED:+1} lb config" >> ${LOG} 2>&1; then
if ! $LINUX32 sudo chroot ${DIR%/./*} sh -c "cd /${DIR#*/./} && NOW=${NOW} SUITE=${STE} PROJECT=${FS} SUBPROJECT=${SUBPROJECT} ARCH=${ARCH} SUBARCH=${SUBARCH} IMAGEFORMAT=${IMAGEFORMAT} PROPOSED=${PROPOSED:+1} lb config" >> ${LOG} 2>&1; then
exit 1
fi
COMMAND="PROJECT=${FS} SUBPROJECT=${SUBPROJECT} ARCH=${ARCH} SUBARCH=${SUBARCH} lb build"

181
debian/changelog vendored

@ -1,3 +1,184 @@
livecd-rootfs (2.157) saucy; urgency=low
* add xserver-xorg-input-evdev-omap-revert and
xserver-xorg-video-omap-revert to panda builds
-- Oliver Grawert <ogra@ubuntu.com> Fri, 12 Jul 2013 11:03:34 +0200
livecd-rootfs (2.156) saucy; urgency=low
* fix build stamp handling for ubuntu-touch (requires an RT to have IS
update BuildLiveCD on the builders)
-- Oliver Grawert <ogra@ubuntu.com> Thu, 11 Jul 2013 16:34:34 +0200
livecd-rootfs (2.155) saucy; urgency=low
* try to hand the exported $NOW over from live-build/auto/config as
$BUILDSTAMP so live-build/auto/build can use it to write a stamp file
-- Oliver Grawert <ogra@ubuntu.com> Fri, 05 Jul 2013 12:29:50 +0200
livecd-rootfs (2.154) saucy; urgency=low
[ Sergio Schvezov ]
* Adding ppa:ubuntu-unity/next for Touch to obtain unity8 and Mir.
* Switching to using the maliit plugin provided by maliit-framework.
-- Ricardo Salveti de Araujo <ricardo.salveti@canonical.com> Thu, 04 Jul 2013 13:44:08 -0300
livecd-rootfs (2.153) saucy; urgency=low
* we do better not try to create something outside of a chroot while we are
in it :P (make sure bootimg's are created in /boot of the chroot and only
copied afterwards).
-- Oliver Grawert <ogra@ubuntu.com> Sat, 29 Jun 2013 16:59:28 +0200
livecd-rootfs (2.152) saucy; urgency=low
* live-build/auto/build: Fix syntax error.
-- Colin Watson <cjwatson@ubuntu.com> Fri, 28 Jun 2013 17:13:54 +0100
livecd-rootfs (2.151) saucy; urgency=low
* use ubuntu-touch-generic-initrd for touch images instead of rolling an
arch specific initrd at build time for each arch (this should save quite
some build time)
* directly create the output file with abootimg, no need to cp it separately
* do not remove kernel packages from a chroot we throw away anyway
-- Oliver Grawert <ogra@ubuntu.com> Fri, 28 Jun 2013 15:06:59 +0200
livecd-rootfs (2.150) saucy; urgency=low
* export $NOW in BuildLiveCD so we have it available in live-build
* create a build stamp in /var/log/installer/media-info on Ubuntu Touch images
-- Oliver Grawert <ogra@ubuntu.com> Wed, 26 Jun 2013 11:32:31 +0200
livecd-rootfs (2.149) saucy; urgency=low
* set QT_SELECT=qt5 in touch image environment
-- Oliver Grawert <ogra@ubuntu.com> Fri, 14 Jun 2013 16:11:33 +0200
livecd-rootfs (2.148) saucy; urgency=low
[ Colin Watson ]
* live-build/ubuntu-touch/hooks/02-add_user_to_groups.chroot: Delete
redundant code to create global static groups, which are already created
more correctly by base-passwd on every Ubuntu system.
* live-build/ubuntu-touch/hooks/02-add_user_to_groups.chroot: Fix
detection of existing groups not to misfire if there is an existing
group with the desired group name as a prefix.
[ Oliver Grawert ]
* drop daily-build-next PPA, according to didrocks everything from there
should be in the saucy archive now, yay.
-- Oliver Grawert <ogra@ubuntu.com> Mon, 10 Jun 2013 12:33:32 +0200
livecd-rootfs (2.147) saucy; urgency=low
* sync ubuntu-touch customzation scripts with phablet build tree
-- Oliver Grawert <ogra@ubuntu.com> Mon, 03 Jun 2013 09:56:15 +0200
livecd-rootfs (2.146) saucy; urgency=low
* drop the generic .bootimg from ubuntu-touch, all boot images we need have
to be subarch tagged
-- Oliver Grawert <ogra@ubuntu.com> Thu, 30 May 2013 18:21:06 +0200
livecd-rootfs (2.145) saucy; urgency=low
* adjust naming of the bootimg files so cdimage picks them up for publishing
-- Oliver Grawert <ogra@ubuntu.com> Thu, 30 May 2013 12:14:38 +0200
livecd-rootfs (2.144) saucy; urgency=low
* Clean up subarch loop for touch subarches to skip unwanted deps.
-- Adam Conrad <adconrad@ubuntu.com> Wed, 29 May 2013 16:41:24 -0600
livecd-rootfs (2.143) saucy; urgency=low
* drop all the cleanup code, we already have the tarball and don't need to
clean the chroot.
* add better quoting for update-initramfs and abootimg calls for
ubuntu-touch
-- Oliver Grawert <ogra@ubuntu.com> Wed, 29 May 2013 21:47:03 +0200
livecd-rootfs (2.142) saucy; urgency=low
* copy the initrd out of the chroot before we purge the kernel package on
ubuntu-touch
-- Oliver Grawert <ogra@ubuntu.com> Wed, 29 May 2013 16:53:56 +0200
livecd-rootfs (2.141) saucy; urgency=low
* make removal of non existing old initrds non fatal in ubuntu-touch
-- Oliver Grawert <ogra@ubuntu.com> Wed, 29 May 2013 16:25:18 +0200
livecd-rootfs (2.140) saucy; urgency=low
* hardcode dist in the temporary sources.list of the ubuntu-touch initrd
creation for a test
-- Oliver Grawert <ogra@ubuntu.com> Wed, 29 May 2013 14:20:34 +0200
livecd-rootfs (2.139) saucy; urgency=low
* fix resolv.conf for ubuntu-touch initramfs creation
-- Oliver Grawert <ogra@ubuntu.com> Wed, 29 May 2013 12:10:53 +0200
livecd-rootfs (2.138) saucy; urgency=low
* also move the sources.list.d dir out of the way on ubuntu-touch
-- Oliver Grawert <ogra@ubuntu.com> Tue, 28 May 2013 15:17:46 +0200
livecd-rootfs (2.137) saucy; urgency=low
* clear up /var/lib/initramfs-tools/ in the chroot after building initrds
* remove ubuntu-touch/hooks/49-setup-demo-assets.chroot
* handle sources.list in ubuntu-touch initrd creation
-- Oliver Grawert <ogra@ubuntu.com> Tue, 28 May 2013 11:13:57 +0200
livecd-rootfs (2.136) saucy; urgency=low
* ubuntu-touch: determine the value for $kver inside the chroot, not
outside. Use -c and drop -t with update-initramfs
-- Oliver Grawert <ogra@ubuntu.com> Mon, 27 May 2013 18:13:05 +0200
livecd-rootfs (2.135) saucy; urgency=low
[ Colin Watson ]
* BuildLiveCD: Time out lockfile after 12 hours, which should be enough
for even the longest build queue to clear.
[ Oliver Grawert ]
* add live-build script for subarch specific Ubuntu Touch initrd
and boot image creation
-- Oliver Grawert <ogra@ubuntu.com> Mon, 27 May 2013 14:34:17 +0200
livecd-rootfs (2.134) saucy; urgency=low
* remove qt5-proper PPA from ubuntu touch builds
-- Oliver Grawert <ogra@ubuntu.com> Fri, 17 May 2013 14:33:35 +0200
livecd-rootfs (2.133) saucy; urgency=low
* drop online-accounts-qt5-staging PPA from ubuntu-touch images

@ -235,6 +235,12 @@ deb file:/var/lib/preinstalled-pool/ $LB_DISTRIBUTION $LB_PARENT_ARCHIVE_AREAS
> chroot/etc/apt/sources.list
rm chroot/etc/apt/sources.list.preinstall chroot/etc/apt/sources.list.orig
fi
if [ "$PROJECT" = "ubuntu-touch" ] && [ "$ARCH" = "armhf" ]; then
INFO_DESC="$(lsb_release -d -s)"
mkdir -p chroot/var/log/installer
echo "$INFO_DESC - $ARCH ($BUILDSTAMP)" >chroot/var/log/installer/media-info
fi
echo "===== Checking size of /usr/share/doc ====="
echo BEGIN docdirs
@ -403,6 +409,45 @@ if [ "$SUBARCH" = "ac100" ] || [ "$SUBARCH" = "nexus7" ]; then
fi
if [ "$PROJECT" = "ubuntu-touch" ] && [ "$ARCH" = "armhf" ]; then
touchsubarches="maguro manta grouper mako"
sourceslist="chroot/etc/apt/sources.list"
lb chroot_proc install "$@"
lb chroot_sysfs install "$@"
lb chroot_devpts install "$@"
if [ -e chroot/etc/resolv.conf ]; then
mv chroot/etc/resolv.conf chroot/etc/resolv.conf.orig
fi
if [ -e /etc/resolv.conf ]; then
cp /etc/resolv.conf chroot/etc/resolv.conf
fi
mv "${sourceslist}" "${sourceslist}.orig"
mv "${sourceslist}.d" "${sourceslist}.d.orig"
echo "deb http://ftpmaster.internal/ubuntu/ saucy main universe" >$sourceslist
Chroot chroot "apt-get -y update"
Chroot chroot "apt-get -y install ubuntu-touch-generic-initrd"
for subarch in $touchsubarches; do
kpkg="$(Chroot chroot apt-cache depends linux-image-$subarch|awk '/Depends: linux-image/ {print $2}')"
kver=${kpkg#linux-image-}
Chroot chroot "apt-get -y install $kpkg"
bootimgcfg="/usr/share/initramfs-tools-ubuntu-touch/bootimg.cfg-${subarch}"
initrdimg="/usr/lib/ubuntu-touch-generic-initrd/initrd.img-touch"
Chroot chroot "abootimg --create /boot/bootimg-${subarch}.img -f ${bootimgcfg} -r ${initrdimg} -k /boot/vmlinuz-${kver}"
cp "chroot/boot/bootimg-${subarch}.img" "$PREFIX.bootimg-${subarch}"
done
lb chroot_devpts remove "$@"
lb chroot_sysfs remove "$@"
lb chroot_proc remove "$@"
fi
# LTSP chroot building (only in 32bit and for Edubuntu (DVD))
case $PROJECT in
edubuntu-dvd)

@ -316,7 +316,7 @@ case $ARCH in
add_package install u-boot-linaro-omap4-panda u-boot-tools
;;
*)
add_package install u-boot-linaro-omap4-panda u-boot-tools pvr-omap4
add_package install u-boot-linaro-omap4-panda u-boot-tools pvr-omap4 xserver-xorg-video-omap-revert xserver-xorg-input-evdev-omap-revert
;;
esac
BINARY_REMOVE_LINUX=false
@ -397,6 +397,7 @@ lb config noauto \
echo "LB_CHROOT_HOOKS=\"$CHROOT_HOOKS\"" >> config/chroot
echo "LB_BINARY_HOOKS=\"$BINARY_HOOKS\"" >> config/binary
echo "BUILDSTAMP=\"$NOW\"" >> config/binary
case $PROJECT in
ubuntu-server)

@ -1,13 +0,0 @@
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: SKS 1.1.4
Comment: Hostname: keyserver.ubuntu.com
mI0ET3w4DgEEALUP5dk6tHWN0wBgONu56CAd16JFgihSA7J9U1nDurpL7IqcAf45Rw+7dqKk
xqrb8B3RPRNdy4IF+acen54vGtkYkAMZNLh2BD045f4OlrMeVmxwM+SluTu3L2m/hPBDFbwA
cOHKj6gMQ64roS6cEV9SMf6kjskRRMVNiofW16tZABEBAAG0JkxhdW5jaHBhZCBQUEEgZm9y
IENhbm9uaWNhbCBRdDUgRWRnZXJziLgEEwECACIFAk98OA4CGwMGCwkIBwMCBhUIAgkKCwQW
AgMBAh4BAheAAAoJENEQZREXlRiy1j0D/jXaGUmzxCku1wRqrt4ZtTN7cvJTXA/Olj4plcZT
Cyxg7RmTvFgBeg5fJ6LzYRDiiDDTqVVW2xbZlLu6ig25dQYmHUJZUb1DPPMPbzm0w1yQna+D
hhRzfHXa2Zo9U39wnYt6yjaljwZKnYcbDCsvTKyWyW9jx/YBCFUUg/SJPDF7
=ZCi0
-----END PGP PUBLIC KEY BLOCK-----

@ -1,2 +0,0 @@
deb http://ppa.launchpad.net/canonical-qt5-edgers/qt5-proper/ubuntu @DISTRIBUTION@ main
# deb-src http://ppa.launchpad.net/canonical-qt5-edgers/qt5-proper/ubuntu @DISTRIBUTION@ main

@ -1,14 +0,0 @@
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: SKS 1.1.4
Comment: Hostname: keyserver.ubuntu.com
mI0EUKJp4AEEANqa4yLubhYUWP6NFignwYDXfSQDxD1K5m06SyuTuqI37zRI+GaFvaiNCwzK
7Qfx4TikrpNIIIc3c1+rYSsSQQadWqJRvrbs7MixcDQGRb+SQ+bglIdD+1hw9xSvMXGO/dOa
Zv6ZVlLxJiYWAKZuFXtugKQF2yyh0eug6/7wuRYxABEBAAG0MkxhdW5jaHBhZCBQUEEgZm9y
IFVidW50dSBVbml0eSBQUyBpbnRlZ3JhdGlvbiB0ZWFtiLgEEwECACIFAlCiaeACGwMGCwkI
BwMCBhUIAgkKCwQWAgMBAh4BAheAAAoJEEVRQo5S1i9FdDMEAKL25MjyO+W7+MJRiEzaV/gd
a41lQsqLFXDWdYFaF1FqrLNa6/E5Ph+oVV6tK8O/HSeXGVgDZeEL6iBX3SvwEgLyGr33z8IZ
22JNS5UIXmwSKO5PIx8Qs6LjOaQtAlZRDwj/5wQo9IqNclSA/hrFNH7XuHeglqITgccPCPEZ
MByN
=VBVL
-----END PGP PUBLIC KEY BLOCK-----

@ -1,2 +0,0 @@
deb http://ppa.launchpad.net/ubuntu-unity/daily-build-next/ubuntu @DISTRIBUTION@ main
# deb-src http://ppa.launchpad.net/ubuntu-unity/daily-build-next/ubuntu @DISTRIBUTION@ main

@ -0,0 +1,13 @@
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.4.12 (GNU/Linux)
mI0EUKJp4AEEANqa4yLubhYUWP6NFignwYDXfSQDxD1K5m06SyuTuqI37zRI+GaF
vaiNCwzK7Qfx4TikrpNIIIc3c1+rYSsSQQadWqJRvrbs7MixcDQGRb+SQ+bglIdD
+1hw9xSvMXGO/dOaZv6ZVlLxJiYWAKZuFXtugKQF2yyh0eug6/7wuRYxABEBAAG0
MkxhdW5jaHBhZCBQUEEgZm9yIFVidW50dSBVbml0eSBQUyBpbnRlZ3JhdGlvbiB0
ZWFtiLgEEwECACIFAlCiaeACGwMGCwkIBwMCBhUIAgkKCwQWAgMBAh4BAheAAAoJ
EEVRQo5S1i9FdDMEAKL25MjyO+W7+MJRiEzaV/gda41lQsqLFXDWdYFaF1FqrLNa
6/E5Ph+oVV6tK8O/HSeXGVgDZeEL6iBX3SvwEgLyGr33z8IZ22JNS5UIXmwSKO5P
Ix8Qs6LjOaQtAlZRDwj/5wQo9IqNclSA/hrFNH7XuHeglqITgccPCPEZMByN
=VBVL
-----END PGP PUBLIC KEY BLOCK-----

@ -0,0 +1,2 @@
deb http://ppa.launchpad.net/ubuntu-unity/next/ubuntu @DISTRIBUTION@ main
# deb-src http://ppa.launchpad.net/ubuntu-unity/next/ubuntu @DISTRIBUTION@ main

@ -2,107 +2,81 @@
USER=phablet
DEFGROUPS="tty,admin,adm,dialout,cdrom,plugdev,audio,dip,video,android_net,android_net2,android_net3,android_graphics,android_input,sdcard_rw"
DEFGROUPS="tty,admin,adm,dialout,cdrom,plugdev,audio,dip,video,gps,radio,bluetooth,android_net,android_net2,android_net3,android_graphics,android_input,sdcard_rw"
/bin/egrep -i "^admin" /etc/group
/bin/egrep -i "^admin:" /etc/group
if [ $? -eq 0 ]; then
echo "User admin exists in /etc/group"
else
echo "User admin does not exists in /etc/group must create"
groupadd admin
fi
/bin/egrep -i "^tty" /etc/group
/bin/egrep -i "^audio:" /etc/group
if [ $? -eq 0 ]; then
echo "User tty exists in /etc/group"
else
echo "User tty does not exists in /etc/group must create"
groupadd tty
fi
/bin/egrep -i "^dialout" /etc/group
if [ $? -eq 0 ]; then
echo "User dialout exists in /etc/group"
else
echo "User dialout does not exists in /etc/group must create"
groupadd dialout
fi
/bin/egrep -i "^cdrom" /etc/group
if [ $? -eq 0 ]; then
echo "User cdrom exists in /etc/group"
else
echo "User cdrom does not exists in /etc/group must create"
groupadd cdrom
fi
/bin/egrep -i "^plugdev" /etc/group
if [ $? -eq 0 ]; then
echo "User plugdev exists in /etc/group"
else
echo "User plugdev does not exists in /etc/group must create"
groupadd plugdev
fi
/bin/egrep -i "^audio" /etc/group
if [ $? -eq 0 ]; then
echo "User audio exists in /etc/group"
# Needed to change group id as audio is already created by ubuntu
echo "User audio exists in /etc/group, changing gid to be android compatible"
groupmod -g 1005 audio
else
echo "User audio does not exists in /etc/group must create"
groupadd audio
groupadd -g 1005 audio
fi
/bin/egrep -i "^dip" /etc/group
/bin/egrep -i "^gps:" /etc/group
if [ $? -eq 0 ]; then
echo "User dip exists in /etc/group"
echo "User gps exists in /etc/group"
else
echo "User dip does not exists in /etc/group must create"
groupadd dip
echo "User gps does not exist in /etc/group -- must create"
groupadd -g 1021 gps
fi
/bin/egrep -i "^video" /etc/group
/bin/egrep -i "^radio:" /etc/group
if [ $? -eq 0 ]; then
echo "User video exists in /etc/group"
echo "User radio exists in /etc/group"
else
echo "User video does not exists in /etc/group must create"
groupadd video
echo "User radio does not exist in /etc/group -- must create"
groupadd -g 1001 radio
fi
/bin/egrep -i "^adm" /etc/group
/bin/egrep -i "^bluetooth:" /etc/group
if [ $? -eq 0 ]; then
echo "User adm exists in /etc/group"
echo "User bluetooth exists in /etc/group"
else
echo "User adm does not exists in /etc/group must create"
groupadd adm
echo "User bluetooth does not exist in /etc/group -- must create"
groupadd -g 1002 bluetooth
fi
/bin/egrep -i "^android_net" /etc/group
/bin/egrep -i "^android_net:" /etc/group
if [ $? -eq 0 ]; then
echo "User android_net exists in /etc/group"
else
echo "User android_net does not exist in /etc/group -- must create"
groupadd -g 3003 android_net
fi
/bin/egrep -i "^android_net2" /etc/group
/bin/egrep -i "^android_net2:" /etc/group
if [ $? -eq 0 ]; then
echo "User android_net2 exists in /etc/group"
else
echo "User android_net2 does not exist in /etc group -- must create"
groupadd -g 3004 android_net2
fi
/bin/egrep -i "^android_net3" /etc/group
/bin/egrep -i "^android_net3:" /etc/group
if [ $? -eq 0 ]; then
echo "User android_net3 exists in /etc/group"
else
echo "User android_net3 does not exist in /etc group -- must create"
groupadd -g 3002 android_net3
fi
/bin/egrep -i "^android_graphics" /etc/group
/bin/egrep -i "^android_graphics:" /etc/group
if [ $? -eq 0 ]; then
echo "User android_graphics exists in /etc/group"
else
echo "User android_graphics does not exist in /etc group -- must create"
groupadd -g 1003 android_graphics
fi
/bin/egrep -i "^android_input" /etc/group
/bin/egrep -i "^android_input:" /etc/group
if [ $? -eq 0 ]; then
echo "User android_input exists in /etc/group"
else
echo "User android_input does not exist in /etc group -- must create"
groupadd -g 1004 android_input
fi
/bin/egrep -i "^sdcard_rw" /etc/group
/bin/egrep -i "^sdcard_rw:" /etc/group
if [ $? -eq 0 ]; then
echo "User sdcard_rw exists in /etc/group"
else

@ -16,13 +16,14 @@ PATH=/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin
ANDROID_DATA=/data
QT_QPA_PLATFORM=ubuntu
QML2_IMPORT_PATH=/usr/lib/arm-linux-gnueabihf/qt5/imports
QT_SELECT=qt5
SHLVL=1
MKSH=/system/bin/sh
ANDROID_ROOT=/system
EXTERNAL_STORAGE=/mnt/sdcard
LANG=en_US.UTF-8
LANGUAGE=en_US:en
QT_IM_MODULE=maliit
QT_IM_MODULE=maliitphablet
HUD_NO_STORE_USAGE_DATA=1
INDICATOR_ALLOW_NO_WATCHERS=1" > /etc/environment

@ -1,15 +0,0 @@
#!/bin/bash
# Extract pictures to user
tar -C /home/phablet/Pictures/ --strip-components=1 -xzf \
/usr/share/demo-assets/pictures.tgz
chown -R phablet:phablet /home/phablet/Pictures
# Copy videos to user
cp -p /usr/share/demo-assets/videos/* /home/phablet/Videos/
chown -R phablet:phablet /home/phablet/Videos
# Set up fake telepathy-logger data
mkdir -p /home/phablet/.local/share/TpLogger/logs
cp -aRp /usr/share/demo-assets/telephony-app/* /home/phablet/.local/share/TpLogger/logs
chown -R phablet.phablet /home/phablet/.local/
Loading…
Cancel
Save